Selaa lähdekoodia

Add basic version of 'git slurp'

Alois Mahdal 8 vuotta sitten
vanhempi
commit
ece36c155f
2 muutettua tiedostoa jossa 15 lisäystä ja 0 poistoa
  1. 14
    0
      dotfiles/gittum/bin/slurp
  2. 1
    0
      dotfiles/gittum/main.gitconfig

+ 14
- 0
dotfiles/gittum/bin/slurp Näytä tiedosto

@@ -0,0 +1,14 @@
1
+#!/bin/bash
2
+
3
+#
4
+# Slurp - add everything, slurp into a WIP commit and push
5
+#
6
+
7
+test -f .git-slurp-ok || {
8
+    echo "you don't want this." >&2
9
+    exit 2
10
+}
11
+
12
+git add .
13
+git commit -m "WIP slurp $(date -Isec)"
14
+git push

+ 1
- 0
dotfiles/gittum/main.gitconfig Näytä tiedosto

@@ -37,6 +37,7 @@
37 37
   rbi = rebase --interactive
38 38
   rmv = remote --verbose
39 39
   sibling = ! ~/.gittum/bin/sibling
40
+  slurp = ! ~/.gittum/bin/slurp
40 41
   st = status
41 42
   sh = show
42 43
   who = ! ~/.gittum/bin/who